Skip to main content

Delivery Services

1 API call in this section.

List Delivery Services

External & Carrier Integrations / Delivery Services
GET/external/delivery-services?tenant_id={{tenant_id}}

List delivery services with filtering, access control, and pagination. Required (query): tenant_id Optional (query): page, limit, service_level, search, active, delivery_type, delivery_type_code, price_order, customer_id. Responses: 200 success; 404 tenant_not_found; 500 internal_server_error.

Send a bearer token in Authorization and a tenant API key when the integration requires X-APIKey or X-API-Key.
Request
curl
1curl --request GET "$ONDI_BASE_URL/external/delivery-services?tenant_id={{tenant_id}}" \2  --header "Authorization: Bearer {{access_token}}" \3  --header "X-API-Key: {{api_key}}"

Query parameters

tenant_idOptional
query string

{{tenant_id}}

ID of the tenant (Required)

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

X-API-KeyOptional
header string

{{api_key}}

Responses

Success Response200OK
Response body
json
1{2  "success": true,3  "message": "delivery_services_retrieved_successfully",4  "deliveryServices": [5    {6      "id": "svc-uuid",7      "name": "Standard",8      "code": "STD",9      "description": "Standard delivery",10      "service_level": "standard",11      "default_price": 15.5,12      "estimated_delivery_time_min": 60,13      "estimated_delivery_time_max": 120,14      "service_options": {},15      "unit_min": 1,16      "unit_max": 10,17      "delivery_type": {18        "id": "dt-uuid",19        "name": "Local",20        "code": "LOCAL"21      },22      "active": true23    }24  ],25  "page": 1,26  "limit": 10,27  "total": 128}
Error - Tenant Not Found404Not Found
Response body
json
1{2  "success": false,3  "message": "tenant_not_found"4}
Error - Server Error500Internal Server Error
Response body
json
1{2  "success": false,3  "message": "internal_server_error"4}